# Copyright (c) 2017. The Language Applications Grid
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# This file is machine generated. Please be aware that any edits to this
# file may be overwritten by future updates.

class Uri:
    ERROR                  = 'http://vocab.lappsgrid.org/ns/error'
    OK                     = 'http://vocab.lappsgrid.org/ns/ok'
    META                   = 'http://vocab.lappsgrid.org/ns/meta'
    TEXT                   = 'http://vocab.lappsgrid.org/ns/media/text'
    XML                    = 'http://vocab.lappsgrid.org/ns/media/xml'
    STRING_LIST            = 'http://vocab.lappsgrid.org/ns/string-list'
    DEPRECATED             = 'http://vocab.lappsgrid.org/ns/deprecated'
    SYSTEM                 = 'http://vocab.lappsgrid.org/ns/system'
    LOGIN                  = 'http://vocab.lappsgrid.org/ns/system#login'
    AUTHORIZATION          = 'http://vocab.lappsgrid.org/ns/system#authorization'
    ONE_PER_LINE           = 'http://vocab.lappsgrid.org/ns/media/text#newline-separated'
    TSV                    = 'http://vocab.lappsgrid.org/ns/media/text#tab-separated'
    CSV                    = 'http://vocab.lappsgrid.org/ns/media/text#comma-separated'
    SPACE_SEPARATED        = 'http://vocab.lappsgrid.org/ns/media/text#space-separated'
    DOCUMENT               = 'http://vocab.lappsgrid.org/Document'
    GATE                   = 'http://vocab.lappsgrid.org/ns/media/xml#gate'
    UIMA                   = 'http://vocab.lappsgrid.org/ns/media/xml#uima-cas'
    STANFORD               = 'http://vocab.lappsgrid.org/ns/media/text#stanford'
    OPENNLP                = 'http://vocab.lappsgrid.org/ns/media/text#opennlp'
    GRAF                   = 'http://vocab.lappsgrid.org/ns/media/xml#graf-standoff'
    PTB                    = 'http://vocab.lappsgrid.org/ns/media/text#ptb'
    JSON                   = 'http://vocab.lappsgrid.org/ns/media/json'
    JSON_LD                = 'http://vocab.lappsgrid.org/ns/media/jsonld'
    LIF                    = 'http://vocab.lappsgrid.org/ns/media/jsonld#lif'
    LAPPS                  = 'http://vocab.lappsgrid.org/ns/media/jsonld#lif'
    LDC                    = 'http://vocab.lappsgrid.org/ns/media/xml#ldc'
    ANNOTATION             = 'http://vocab.lappsgrid.org/Annotation'
    CHUNK                  = 'http://vocab.lappsgrid.org/Chunk'
    PARAGRAPH              = 'http://vocab.lappsgrid.org/Paragraph'
    SENTENCE               = 'http://vocab.lappsgrid.org/Sentence'
    TOKEN                  = 'http://vocab.lappsgrid.org/Token'
    POS                    = 'http://vocab.lappsgrid.org/Token#pos'
    COREF                  = 'http://vocab.lappsgrid.org/Coreference'
    NE                     = 'http://vocab.lappsgrid.org/NamedEntity'
    PERSON                 = 'http://vocab.lappsgrid.org/Person'
    LOCATION               = 'http://vocab.lappsgrid.org/Location'
    DATE                   = 'http://vocab.lappsgrid.org/Date'
    ORGANIZATION           = 'http://vocab.lappsgrid.org/Organization'
    NCHUNK                 = 'http://vocab.lappsgrid.org/NounChunk'
    VCHUNK                 = 'http://vocab.lappsgrid.org/VerbChunk'
    LEMMA                  = 'http://vocab.lappsgrid.org/Token#lemma'
    LOOKUP                 = 'http://vocab.lappsgrid.org/Lookup'
    MATCHES                = 'http://vocab.lappsgrid.org/NamedEntity#matches'
    MARKABLE               = 'http://vocab.lappsgrid.org/Markable'
    DEPENDENCY_STRUCTURE   = 'http://vocab.lappsgrid.org/DependencyStructure'
    PHRASE_STRUCTURE       = 'http://vocab.lappsgrid.org/PhraseStructure'
    RELATION               = 'http://vocab.lappsgrid.org/Relation'
    CONSTITUENT            = 'http://vocab.lappsgrid.org/Constituent'
    DEPENDENCY             = 'http://vocab.lappsgrid.org/Dependency'
    SEMANTIC_ROLE          = 'http://vocab.lappsgrid.org/SemanticRole'
    GENERIC_RELATION       = 'http://vocab.lappsgrid.org/GenericRelation'
    QUERY                  = 'http://vocab.lappsgrid.org/ns/action/query'
    GET                    = 'http://vocab.lappsgrid.org/ns/action/get'
    INDEX                  = 'http://vocab.lappsgrid.org/ns/action/index'
    LIST                   = 'http://vocab.lappsgrid.org/ns/action/list'
    LUCENE                 = 'http://vocab.lappsgrid.org/ns/action/query#lucene'
    SQL                    = 'http://vocab.lappsgrid.org/ns/action/query#sql'
    SPARQL                 = 'http://vocab.lappsgrid.org/ns/action/query#sparql'
    REGEX                  = 'http://vocab.lappsgrid.org/ns/action/query#regex'
    COMPOSITE              = 'http://vocab.lappsgrid.org/ns/action/query#composite'
    SIZE                   = 'http://vocab.lappsgrid.org/ns/action/size'
    GETMETADATA            = 'http://vocab.lappsgrid.org/ns/action/get-metadata'
    EXECUTE                = 'http://vocab.lappsgrid.org/ns/action/execute'
    SOLR                   = 'http://vocab.lappsgrid.org/ns/action/query#solr'
    SCHEMA                 = 'http://vocab.lappsgrid.org/ns/action/query#solr-schema'
    LICENSE                = 'http://vocab.lappsgrid.org/ns/license'
    PUBLIC_DOMAIN          = 'http://vocab.lappsgrid.org/ns/license#public-domain'
    OPEN_SOURCE            = 'http://vocab.lappsgrid.org/ns/license#open-source'
    APACHE2                = 'http://vocab.lappsgrid.org/ns/license#apache-2.0'
    GPL                    = 'http://vocab.lappsgrid.org/ns/license#gpl'
    LGPL                   = 'http://vocab.lappsgrid.org/ns/license#lgpl'
    BSD                    = 'http://vocab.lappsgrid.org/ns/license#bsd'
    ECLIPSE                = 'http://vocab.lappsgrid.org/ns/license#eclipse'
    NO_COMMERCIAL          = 'http://vocab.lappsgrid.org/ns/license#non-commercial'
    RESTRICTED             = 'http://vocab.lappsgrid.org/ns/license#restricted'
    GPL2                   = 'http://vocab.lappsgrid.org/ns/license#gpl-2.0'
    GPL3                   = 'http://vocab.lappsgrid.org/ns/license#gpl-3.0'
    LGPL21                 = 'http://vocab.lappsgrid.org/ns/license#lgpl-2.1'
    LGPL3                  = 'http://vocab.lappsgrid.org/ns/license#lgpl-3.0'
    BSD2                   = 'http://vocab.lappsgrid.org/ns/license#bsd-2-clause'
    BSD3                   = 'http://vocab.lappsgrid.org/ns/license#bsd-3-clause'
    MIT                    = 'http://vocab.lappsgrid.org/ns/license#mit'
    CC                     = 'http://vocab.lappsgrid.org/ns/license#cc'
    CC0                    = 'http://vocab.lappsgrid.org/ns/license#cc0'
    CC_BY                  = 'http://vocab.lappsgrid.org/ns/license#cc-by'
    CC_BY_SA               = 'http://vocab.lappsgrid.org/ns/license#cc-by-sa'
    CC_BY_ND               = 'http://vocab.lappsgrid.org/ns/license#cc-by-nd'
    CC_BY_NC               = 'http://vocab.lappsgrid.org/ns/license#cc-by-nc'
    CC_BY_NC_SA            = 'http://vocab.lappsgrid.org/ns/license#cc-by-nc-sa'
    CC_BY_NC_ND            = 'http://vocab.lappsgrid.org/ns/license#cc-by-nc-nd'
    USAGE                  = 'http://vocab.lappsgrid.org/ns/allow'
    RESEARCH               = 'http://vocab.lappsgrid.org/ns/allow#research'
    COMMERCIAL             = 'http://vocab.lappsgrid.org/ns/allow#commercial'
    EDUCATION              = 'http://vocab.lappsgrid.org/ns/allow#education'
    NON_PROFIT             = 'http://vocab.lappsgrid.org/ns/allow#non-profit'
    PERSONAL               = 'http://vocab.lappsgrid.org/ns/allow#personal'
    ANY                    = 'http://vocab.lappsgrid.org/ns/allow#any'


class Alias:
    ERROR                  = 'error'
    OK                     = 'ok'
    META                   = 'meta'
    TEXT                   = 'text'
    XML                    = 'xml'
    STRING_LIST            = 'string-list'
    DEPRECATED             = 'deprecated'
    SYSTEM                 = 'system'
    LOGIN                  = 'login'
    AUTHORIZATION          = 'authorization'
    ONE_PER_LINE           = 'one-per-line'
    TSV                    = 'tsv'
    CSV                    = 'csv'
    SPACE_SEPARATED        = 'space-separated'
    DOCUMENT               = 'document'
    GATE                   = 'gate'
    UIMA                   = 'uima'
    STANFORD               = 'stanford'
    OPENNLP                = 'opennlp'
    GRAF                   = 'graf'
    PTB                    = 'ptb'
    JSON                   = 'json'
    JSON_LD                = 'json-ld'
    LIF                    = 'lif'
    LAPPS                  = 'lapps'
    LDC                    = 'ldc'
    ANNOTATION             = 'annotation'
    CHUNK                  = 'chunk'
    PARAGRAPH              = 'paragraph'
    SENTENCE               = 'sentence'
    TOKEN                  = 'token'
    POS                    = 'pos'
    COREF                  = 'coref'
    NE                     = 'ne'
    PERSON                 = 'person'
    LOCATION               = 'location'
    DATE                   = 'date'
    ORGANIZATION           = 'organization'
    NCHUNK                 = 'nchunk'
    VCHUNK                 = 'vchunk'
    LEMMA                  = 'lemma'
    LOOKUP                 = 'lookup'
    MATCHES                = 'matches'
    MARKABLE               = 'markable'
    DEPENDENCY_STRUCTURE   = 'dependency-structure'
    PHRASE_STRUCTURE       = 'phrase-structure'
    RELATION               = 'relation'
    CONSTITUENT            = 'constituent'
    DEPENDENCY             = 'dependency'
    SEMANTIC_ROLE          = 'semantic-role'
    GENERIC_RELATION       = 'generic-relation'
    QUERY                  = 'query'
    GET                    = 'get'
    INDEX                  = 'index'
    LIST                   = 'list'
    LUCENE                 = 'lucene'
    SQL                    = 'sql'
    SPARQL                 = 'sparql'
    REGEX                  = 'regex'
    COMPOSITE              = 'composite'
    SIZE                   = 'size'
    GETMETADATA            = 'getMetadata'
    EXECUTE                = 'execute'
    SOLR                   = 'solr'
    SCHEMA                 = 'schema'
    LICENSE                = 'license'
    PUBLIC_DOMAIN          = 'public-domain'
    OPEN_SOURCE            = 'open-source'
    APACHE2                = 'apache2'
    GPL                    = 'gpl'
    LGPL                   = 'lgpl'
    BSD                    = 'bsd'
    ECLIPSE                = 'eclipse'
    NO_COMMERCIAL          = 'no-commercial'
    RESTRICTED             = 'restricted'
    GPL2                   = 'gpl2'
    GPL3                   = 'gpl3'
    LGPL21                 = 'lgpl21'
    LGPL3                  = 'lgpl3'
    BSD2                   = 'bsd2'
    BSD3                   = 'bsd3'
    MIT                    = 'mit'
    CC                     = 'cc'
    CC0                    = 'cc0'
    CC_BY                  = 'cc-by'
    CC_BY_SA               = 'cc-by-sa'
    CC_BY_ND               = 'cc-by-nd'
    CC_BY_NC               = 'cc-by-nc'
    CC_BY_NC_SA            = 'cc-by-nc-sa'
    CC_BY_NC_ND            = 'cc-by-nc-nd'
    USAGE                  = 'usage'
    RESEARCH               = 'research'
    COMMERCIAL             = 'commercial'
    EDUCATION              = 'education'
    NON_PROFIT             = 'non-profit'
    PERSONAL               = 'personal'
    ANY                    = 'any'

